<?
	require_once ("lib/error.lib.php");		// error-handler module
	require_once ("res/german.lng.php");	// language module
	
	//-------------------------------------------------------------------------
	// host configuration
	//-------------------------------------------------------------------------
	$cfg["host.mappath"]	= $HTTP_SERVER_VARS["DOCUMENT_ROOT"] . "/e-school";	// current absolute path
	$cfg["host.domain"]	= $SERVER_NAME;							// the host domain
	$cfg["host.url"]		= "http://" . $cfg["host.domain"];	// the host root domain incl. http://

	//-------------------------------------------------------------------------
	// Errorhandling configuration
	//-------------------------------------------------------------------------
	$cfg["error.debug"]	= false;		// enable debugger (print error or start debugger)
	$cfg["error.email"]	= false;		// send email with error information
	$cfg["error.logging"]= true;		// print all errors in a logfile
	$cfg["error.logfile"]= $cfg["host.mappath"] . "/log/error.log";	// location and filename of logfile
	
	//-----------------------------------------------------------------------------
	//db-profiles
	//-----------------------------------------------------------------------------
	$cfg["db.host"]		= "localhost";
	$cfg["db.port"]		= "3306";
	$cfg["db.username"]	= "root";
	$cfg["db.password"]	= "root";
	$cfg["db.database"]	= "eschool";

	//-------------------------------------------------------------------------
	// email configuration
	//-------------------------------------------------------------------------
	$cfg["email.webmaster"]		= "daniel@ks-informatik.de";
	$cfg["email.admin"]			= "revx@gmx.de";

	// smtp-server
	$cfg["email.smtp.host"] 	= "localhost";	// Mail server address
	$cfg["email.smtp.helo"] 	= "localhost";	// Use your domain here.
	$cfg["email.smtp.port"] 	= 25;							// Mail server port
	$cfg["email.smtp.auth"] 	= false;						// Whether to use authentication or not.
	$cfg["email.smtp.username"]= "";							// Authentication username
	$cfg["email.smtp.password"]= "";							// Authentication password
		
	//-------------------------------------------------------------------------
	// php compatibility
	//-------------------------------------------------------------------------
	if (phpversion() < "4.1.0")
	{ 
		$_POST = $HTTP_POST_VARS;
		$_GET = HTTP_GET_VARS;
	}

?>