# MySQL-Front Dump 2.1
#
# Host: localhost   Database: eschool
#--------------------------------------------------------
# Server version 4.0.0-alpha-nt


#
# Table structure for table 'calendar_entry'
#

DROP TABLE IF EXISTS calendar_entry;
CREATE TABLE IF NOT EXISTS calendar_entry (
  calendar_entry_id int(11) unsigned NOT NULL auto_increment,
  user_group_id int(11) unsigned NOT NULL DEFAULT '0' ,
  date date ,
  time time ,
  title varchar(100) ,
  text longtext ,
  PRIMARY KEY (calendar_entry_id),
  UNIQUE KEY calendar_entry_id (calendar_entry_id),
   KEY calendar_entry_id_2 (calendar_entry_id,user_group_id)
);



#
# Dumping data for table 'calendar_entry'
#
INSERT INTO calendar_entry VALUES("26","3","2002-08-22","00:00:00","d","z1\r\nz2\r\nz3\r\nz4");
INSERT INTO calendar_entry VALUES("36","8","2002-08-22","00:00:00","dfg sdfg sdfg sdfg","z1rftgkhdfkjghdsklfjghkjldfshgkjlsdhfkgh jkdfg hkjh gkjsdgh kjsd hkjg hkjhdf gkjhfd gk\r\ndlkfgjsdkjf d fljd gfklj glkjdfg jg ljgf. fg. .fg dfghdjkfg z2");
INSERT INTO calendar_entry VALUES("46","2","2030-08-02","00:00:00","sdff","asdfasdfsd");
INSERT INTO calendar_entry VALUES("47","2","2032-08-02","00:00:00","ert","wertwert");
INSERT INTO calendar_entry VALUES("49","8","2035-08-02","00:00:00","dfg","gsdfgdf");
INSERT INTO calendar_entry VALUES("51","2","2037-08-02","00:00:00","dfg","dfgsdf");
INSERT INTO calendar_entry VALUES("55","2","2037-08-02","00:00:00","wertwe","erwtwert");
INSERT INTO calendar_entry VALUES("58","2","2003-03-01","00:00:00","88","888888888");
INSERT INTO calendar_entry VALUES("60","2","2035-08-02","22:59:00","sss","news");


#
# Table structure for table 'download'
#

DROP TABLE IF EXISTS download;
CREATE TABLE IF NOT EXISTS download (
  download_id int(11) unsigned NOT NULL auto_increment,
  download_cat_id int(11) unsigned NOT NULL DEFAULT '0' ,
  date datetime ,
  title varchar(255) ,
  description longtext ,
  url varchar(255) ,
  PRIMARY KEY (download_id),
  UNIQUE KEY download_id (download_id),
   KEY download_id_2 (download_id,download_cat_id)
);



#
# Dumping data for table 'download'
#


#
# Table structure for table 'download_cat'
#

DROP TABLE IF EXISTS download_cat;
CREATE TABLE IF NOT EXISTS download_cat (
  download_cat_id int(11) unsigned NOT NULL auto_increment,
  user_group_id int(11) unsigned NOT NULL DEFAULT '0' ,
  title varchar(30) ,
  PRIMARY KEY (download_cat_id),
  UNIQUE KEY download_cat_id (download_cat_id),
   KEY download_cat_id_2 (download_cat_id,user_group_id)
);



#
# Dumping data for table 'download_cat'
#


#
# Table structure for table 'news'
#

DROP TABLE IF EXISTS news;
CREATE TABLE IF NOT EXISTS news (
  news_id int(11) unsigned NOT NULL auto_increment,
  date date ,
  time time ,
  title varchar(255) ,
  text longtext ,
  PRIMARY KEY (news_id),
  UNIQUE KEY news_id (news_id),
   KEY news_id_2 (news_id)
);



#
# Dumping data for table 'news'
#
INSERT INTO news VALUES("5","2003-04-03","22:59:00","test2test2222","test2");
INSERT INTO news VALUES("4","2002-08-02","22:59:00","test","test1");


#
# Table structure for table 'session'
#

DROP TABLE IF EXISTS session;
CREATE TABLE IF NOT EXISTS session (
  session_id varchar(50) NOT NULL DEFAULT '' ,
  lastused int(10) unsigned ,
  name varchar(35) ,
  data text ,
  PRIMARY KEY (session_id),
  UNIQUE KEY main (session_id)
);



#
# Dumping data for table 'session'
#
INSERT INTO session VALUES("da0916681b49801301b04069d464867a","1013586799","1","a:23:{s:7:\"user_id\";s:1:\"1\";s:13:\"user_group_id\";s:1:\"2\";s:8:\"username\";s:5:\"admin\";s:8:\"password\";s:0:\"\";s:9:\"firstname\";s:13:\"Administrator\";s:8:\"lastname\";s:4:\"Chef\";s:6:\"street\";s:16:\"Nollingerstr. 41\";s:3:\"zip\";s:5:\"79618\";s:4:\"city\";s:11:\"Rheinfelden\";s:9:\"telephone\";s:5:\"63891\";s:3:\"fax\";s:6:\"777777\";s:6:\"mobile\";s:14:\"0179 - 4066430\";s:5:\"email\";s:23:\"daniel@ks-informatik.de\";s:3:\"url\";s:20:\"www.ks-informatik.de\";s:7:\"comment\";s:1:\"-\";s:11:\"priv_upload\";s:1:\"1\";s:13:\"priv_cal_edit\";s:1:\"1\";s:17:\"priv_cal_read_all\";s:1:\"1\";s:17:\"priv_cal_edit_all\";s:1:\"1\";s:14:\"priv_news_edit\";s:1:\"1\";s:21:\"priv_adrlist_read_all\";s:1:\"1\";s:10:\"priv_admin\";s:1:\"1\";s:10:\"priv_login\";s:1:\"1\";}");
INSERT INTO session VALUES("0ef15a57fc58d6e3b1a82ca51593f706","1013440888","1","a:23:{s:7:\"user_id\";s:1:\"1\";s:13:\"user_group_id\";s:1:\"2\";s:8:\"username\";s:5:\"admin\";s:8:\"password\";s:0:\"\";s:9:\"firstname\";s:13:\"Administrator\";s:8:\"lastname\";s:4:\"Chef\";s:6:\"street\";s:16:\"Nollingerstr. 41\";s:3:\"zip\";s:5:\"79618\";s:4:\"city\";s:11:\"Rheinfelden\";s:9:\"telephone\";s:5:\"63891\";s:3:\"fax\";s:6:\"777777\";s:6:\"mobile\";s:14:\"0179 - 4066430\";s:5:\"email\";s:11:\"revx@gmx.de\";s:3:\"url\";s:20:\"www.ks-informatik.de\";s:7:\"comment\";s:1:\"-\";s:11:\"priv_upload\";s:1:\"1\";s:13:\"priv_cal_edit\";s:1:\"1\";s:17:\"priv_cal_read_all\";s:1:\"1\";s:17:\"priv_cal_edit_all\";s:1:\"1\";s:14:\"priv_news_edit\";s:1:\"1\";s:21:\"priv_adrlist_read_all\";s:1:\"1\";s:10:\"priv_admin\";s:1:\"1\";s:10:\"priv_login\";s:1:\"1\";}");
INSERT INTO session VALUES("5e13bdc1f4f2b9016df771d7b70cfa31","1013185497","1","a:23:{s:7:\"user_id\";s:1:\"1\";s:13:\"user_group_id\";s:1:\"2\";s:8:\"username\";s:5:\"admin\";s:8:\"password\";s:0:\"\";s:9:\"firstname\";s:13:\"Administrator\";s:8:\"lastname\";s:4:\"Chef\";s:6:\"street\";s:16:\"Nollingerstr. 41\";s:3:\"zip\";s:5:\"79618\";s:4:\"city\";s:11:\"Rheinfelden\";s:9:\"telephone\";s:5:\"63891\";s:3:\"fax\";s:6:\"777777\";s:6:\"mobile\";s:14:\"0179 - 4066430\";s:5:\"email\";s:11:\"revx@gmx.de\";s:3:\"url\";s:20:\"www.ks-informatik.de\";s:7:\"comment\";s:1:\"-\";s:11:\"priv_upload\";s:1:\"1\";s:13:\"priv_cal_edit\";s:1:\"1\";s:17:\"priv_cal_read_all\";s:1:\"1\";s:17:\"priv_cal_edit_all\";s:1:\"1\";s:14:\"priv_news_edit\";s:1:\"1\";s:21:\"priv_adrlist_read_all\";s:1:\"1\";s:10:\"priv_admin\";s:1:\"1\";s:10:\"priv_login\";s:1:\"1\";}");
INSERT INTO session VALUES("52478ff85ef2ac1849ad069f1457170e","1013179703","1","a:23:{s:7:\"user_id\";s:1:\"1\";s:13:\"user_group_id\";s:1:\"2\";s:8:\"username\";s:5:\"admin\";s:8:\"password\";s:0:\"\";s:9:\"firstname\";s:13:\"Administrator\";s:8:\"lastname\";s:4:\"Chef\";s:6:\"street\";s:16:\"Nollingerstr. 41\";s:3:\"zip\";s:5:\"79618\";s:4:\"city\";s:11:\"Rheinfelden\";s:9:\"telephone\";s:5:\"63891\";s:3:\"fax\";s:6:\"777777\";s:6:\"mobile\";s:14:\"0179 - 4066430\";s:5:\"email\";s:11:\"revx@gmx.de\";s:3:\"url\";s:20:\"www.ks-informatik.de\";s:7:\"comment\";s:1:\"-\";s:11:\"priv_upload\";s:1:\"1\";s:13:\"priv_cal_edit\";s:1:\"1\";s:17:\"priv_cal_read_all\";s:1:\"1\";s:17:\"priv_cal_edit_all\";s:1:\"1\";s:14:\"priv_news_edit\";s:1:\"1\";s:21:\"priv_adrlist_read_all\";s:1:\"1\";s:10:\"priv_admin\";s:1:\"1\";s:10:\"priv_login\";s:1:\"1\";}");


#
# Table structure for table 'user'
#

DROP TABLE IF EXISTS user;
CREATE TABLE IF NOT EXISTS user (
  user_id int(11) unsigned NOT NULL auto_increment,
  user_group_id int(11) unsigned NOT NULL DEFAULT '0' ,
  username varchar(20) ,
  password varchar(50) ,
  firstname varchar(50) ,
  lastname varchar(50) ,
  street varchar(50) ,
  zip varchar(10) ,
  city varchar(60) ,
  telephone varchar(50) ,
  fax varchar(50) ,
  mobile varchar(50) ,
  email varchar(60) ,
  url varchar(255) ,
  comment varchar(255) DEFAULT '-' ,
  priv_upload smallint(1) unsigned DEFAULT '0' ,
  priv_cal_edit smallint(1) unsigned DEFAULT '0' ,
  priv_cal_read_all smallint(1) unsigned DEFAULT '0' ,
  priv_cal_edit_all smallint(1) unsigned DEFAULT '0' ,
  priv_news_edit smallint(1) unsigned DEFAULT '0' ,
  priv_adrlist_read_all smallint(1) unsigned DEFAULT '0' ,
  priv_admin smallint(1) unsigned DEFAULT '0' ,
  priv_login smallint(1) unsigned DEFAULT '0' ,
  PRIMARY KEY (user_id),
  UNIQUE KEY user_id (user_id),
   KEY user_id_2 (user_id,user_group_id)
);



#
# Dumping data for table 'user'
#
INSERT INTO user VALUES("1","2","admin","","Administrator","Chef","Teststr. 41","77799","Entenhausen","66666","777777","0179 - 4066430","admin@admin.com","www.mydomain.de","-","1","1","1","1","1","1","1","1");
INSERT INTO user VALUES("2","2","daniel","","Daniel","Meyer","","","","","","","spam@spam.com","","","0","0","0","0","0","0","0","0");
INSERT INTO user VALUES("3","2","domme","flomme","Dominik","Meyer","","","","","","","domm@mail.de","","","1","1","1","1","1","1","0","0");


#
# Table structure for table 'user_group'
#

DROP TABLE IF EXISTS user_group;
CREATE TABLE IF NOT EXISTS user_group (
  user_group_id int(11) unsigned NOT NULL auto_increment,
  title varchar(30) ,
  PRIMARY KEY (user_group_id),
  UNIQUE KEY user_group_id (user_group_id),
   KEY user_group_id_2 (user_group_id)
);



#
# Dumping data for table 'user_group'
#
INSERT INTO user_group VALUES("1","Lehrer");
INSERT INTO user_group VALUES("2","Admins");
INSERT INTO user_group VALUES("3","E1IT1");
INSERT INTO user_group VALUES("4","E1IT2");
INSERT INTO user_group VALUES("5","E1IT3");
INSERT INTO user_group VALUES("6","E2IT1");
INSERT INTO user_group VALUES("7","E2IT2");
INSERT INTO user_group VALUES("8","E2IT3");
