<?

//-----------------------------------------------------------------------------
// creates a database-bounded combobox-control
//-----------------------------------------------------------------------------
function db_combobox($sql, $control_name, $field_id, $field_name, $selected_item, $b_choose, $extraItemKey = "-1", $extraItemValue = "", $event = "")
{
	/*
	$control_name		:Name der Combobox
	$tablename			:Tabellenname
	$field_id			:Feldname aus der die ID geholt wird
	$field_name			:Feldname aus der der Text geholt wird
	$selected_item 	:selektertes Item in der Combobox
							:0 = erstes Item, n=n'tes Item, -1 = extra Item wird ausgewhlt

	$b_choose			:legt fest ob als erstes "===bitte whlen===" angezeigt werden soll
							:0 = nein; 1 = ja

	$extraItemKey		:ein weiteres (letztes) Item hinzufgen (wenn <> "-1")
							:Item Schlssel

	$extraItemValue	:Item Anzeigewert
	*/
	global $cfg, $RES;
	$s = "";	
	
	$s = "\n<select name=\"$control_name\" class=\"3D_TextBox\" $event>\n";
	if($b_choose==true)
	{
		$s .= "<option value=\"0\">" . $RES["0037"] . " </option>\n";
	}	

	//db-connection
	$db = new Database($cfg["db.database"], $cfg["db.host"], $cfg["db.username"], $cfg["db.password"]);
	
	if($db->connect())
  	{
		if($db->query($sql))
		{
			
			while($db->next_record())
			{
				$l_id		= $db->field("$field_id");
				$l_text 	= $db->field("$field_name");

				$is_select ="";
				if($selected_item == $l_id)
						$is_select = "selected";
						
				//add the menue item
				$s .=  "<option value=\"$l_id\" $is_select>$l_text</option>\n";
			}
			
			//extra item
			if($extraItemKey <> "-1")
			{
				$is_select = "";
				if($selected_item == -1) 
						$is_select = "selected";

				$s .= "<option value='-1' $is_select>$extraItemValue</option>\n";
			}
			
		}
		else
		{
			// database connection failed
			show_error($db->errno,  $db->error, $HTTP_SERVER_VARS);
			return "";
		}
	}
	else
	{
		// database connection failed
		show_error($db->errno,  $db->error, $HTTP_SERVER_VARS);
		return "";
	}
	
	$s .=  "</select>";
	return $s;
}
?>
