<?

//-----------------------------------------------------------------------------
function write_text_input($name,$size,$maxlength,$default,$readonly)
{
	$width=$size*10;
	if ($readonly)
		$ro = "readonly";
	echo '<input type="text" style="width : '.$width.'px" name="'.$name.'" maxlength="'.$max_length.'" size="'.$size.'" value="'.$default.'" '.$ro.'>';
}

//-----------------------------------------------------------------------------
function write_textbox_input($name,$rows,$cols,$default,$readonly)
{
	$width=$cols*10;
	if ($readonly)
		$ro = "readonly";
	echo '<textarea '.$ro.' style="width : '.$width.'px; font-family: sans-serif;" name="'.$name.'" rows="'.$rows.'" cols="'.$cols.'">'.$default.'</textarea>';
}

//-----------------------------------------------------------------------------
function write_price_input($name,$default,$size,$maxlength,$currency,$readonly)
{
	if ($readonly)
		$ro = "readonly";
	echo '<input type="text" name="'.$name.'" maxlength="'.$maxlength.'" size="'.$size.'" value="'.number_format($default, 2 ,",", "").'" '.$ro.'>'.$currency;
}

//-----------------------------------------------------------------------------
function write_option_input($name,$options,$default,$readonly)
{
	if ($readonly)
		$ro = "disabled";
	$html = '<select name="'.$name.'" '.$ro.'>';
	$html .= '<option></option>';
	foreach ($options as $k => $v)
		if ($k == $default)
			$html .= '<option value="'.$k.'" selected>'.$v.'</option>';
		else
			$html .= '<option value="'.$k.'">'.$v.'</option>';
	$html .= '</select>';
	echo $html;
}

//-----------------------------------------------------------------------------
function write_option1_input($name,$options,$default,$readonly)
{
	if ($readonly)
		$ro = "disabled";
	$html = '<select name="'.$name.'" '.$ro.'>';
	$html .= '<option></option>';
	foreach ($options as $s)
		if ($s == $default)
			$html .= '<option value="'.$s.'" selected>'.$s.'</option>';
		else
			$html .= '<option value="'.$s.'">'.$s.'</option>';
	$html .= "</select>";
	echo $html;
}

//-----------------------------------------------------------------------------
function write_radio($name,$options,$default,$readonly)
{
	if ($readonly)
		$ro = 'diasabled';
	foreach ($options as $k => $v)
	{
		if ($k == $default)
			$html .= '<input '.$ro.' name="'.$name.'" type="Radio" value="'.$k.'" checked>'.$v.'<br>';
		else
			$html .= '<input '.$ro.' name="'.$name.'" type="Radio" value="'.$k.'">'.$v.'<br>';
	}
	echo $html;
}

//-----------------------------------------------------------------------------
function write_radio1($name,$options,$default,$readonly)
{
	if ($readonly)
		$ro = 'diasabled';
	foreach ($options as $v)
	{
		if ($k == $default)
			$html .= '<input '.$ro.' name="'.$name.'" type="Radio" value="'.$v.'" checked>'.$v.'<br>';
		else
			$html .= '<input '.$ro.' name="'.$name.'" type="Radio" value="'.$v.'">'.$v.'<br>';
	}
	echo $html;
}

//-----------------------------------------------------------------------------
function write_file_select($name,$default,$basedir,$readonly)
{
	if ($readonly)
		$ro = 'disabled';
	
	$html = '<select name="'.$name.'" '.$ro.'>';
	$html .= '<option value=""></option>';
	
	$i=0;
	$handle = opendir($basedir);
	while($file = readdir($handle))
		if ($file != "." && $file != "..")
		{
			$filename=$basedir.$file;
	        if(filetype($filename)=="file")
			{
				$files[$i] = $file;
				$i++;
			}
		}
	closedir($handle); 
	
	sort($files);
	reset($files);
	
	foreach ($files as $file)
	{
		if ($default == htmlspecialchars($file))
			$html .= '<option value="'.htmlspecialchars($file).'" selected>'.htmlspecialchars($file).'</option>';
		else
			$html .= '<option value="'.htmlspecialchars($file).'">'.htmlspecialchars($file).'</option>';
	}
	
	$html .= "</select>";
	echo $html;
}

//-----------------------------------------------------------------------------
function write_plugin($name,$plugin_file,$plugin_def)
{
	$write_function="write_".$plugin_file;
	$write_function($name,$plugin_def);
}

//-----------------------------------------------------------------------------
function write_button($name,$caption,$onclick)
{
	$html = '<input type="button" value="'.$caption.'" onclick="javascript:'.$onclick.'">';
	echo $html;
}

//-----------------------------------------------------------------------------
function write_checkbox($name,$default,$descr,$readonly)
{
	if ($readonly)
		$ro = 'disabled';
	
	if ($default == 1)
		$checked = " checked";
	
	$html =	'<input '.$ro.' type="checkbox" name="'.$name.'_checkbox" '.$checked.' value="1">'.$descr.'<input type="Hidden" name="'.$name.'" value="chekcbox">';
	echo $html;
}

//-----------------------------------------------------------------------------
function write_new_date($name,$default,$descr)
{
	$today = date("Y-m-d"); 
	echo '<input type="Hidden" name="'.$name.'" value="'.$today.'">';
}

//-----------------------------------------------------------------------------
function write_date_input($name,$def_day,$def_month,$def_year,$readonly)
{
	if ($readonly)
		$ro = 'disabled';
	
	$html = '<select name="'.$name.'_day" '.$ro.'>';
	$html .= '<option value="0"></option>';
	for ($i = 1; $i <= 31; $i++)
		if ($i == $def_day)
			$html .= '<option value="'.$i.'" selected>'.$i."</option>\n";
		else
			$html .= '<option value="'.$i.'">'.$i."</option>\n";
	$html .= "</select>";
	
	$html .= '<select name="'.$name.'_month" '.$ro.'>';
	$html .= '<option value="0"></option>';
	for ($i = 1; $i <= 12; $i++)
		if ($i == $def_month)
			$html .= '<option value="'.$i.'" selected>'.$i."</option>\n";
		else
			$html .= '<option value="'.$i.'">'.$i."</option>\n";
	$html .= "</select>";
	
	$html .= '<select name="'.$name.'_year" '.$ro.'>';
	$html .= '<option value="0"></option>';
	for ($i = 2000; $i <= 2010; $i++)
		if ($i == $def_year)
			$html .= '<option value="'.$i.'" selected>'.$i."</option>\n";
		else
			$html .= '<option value="'.$i.'">'.$i."</option>\n";
	$html .= "</select>";
	$html .= '<input type="Hidden" name="'.$name.'" value="abc">';
	echo $html;
}

//-----------------------------------------------------------------------------
function write_hidden_field($name,$text)
{
	echo '<input type="hidden" name="'.$name.'" value="'.$text.'">';
}

//-----------------------------------------------------------------------------
function write_text_field($name,$text,$width)
{
	//echo '<table width="'.$width.'"><tr><td>'.$text.'</td></tr></table>';
}

//-----------------------------------------------------------------------------
function write_timestamp($name,$action,$ask_user,$readonly)
{
	if ($readonly)
		$ro = 'readonly=""';
	
	$today = date("Y-m-d"); 
	if ($action == "add_submit")
		echo '<input type="Hidden" name="'.$i.'" value="'.$today.'">';
	
	if ($action == "change_submit")
	{
		echo '<input type="Hidden" name="'.$i.'" value="'.$today.'">';
		if ($ask_user == True)
			echo '<input '.$ro.' type="checkbox" name="'.$i.'_checkbox"> Datum neu setzen';
	}
}

//-----------------------------------------------------------------------------
// Space($num)
// Prints $num number of non-breaking spaces (&nbsp;)
//-----------------------------------------------------------------------------
function space($num = 1)
{
	while ($num > 0)
	{
		echo "&nbsp;";
		$num--;
	}
}
		
//-----------------------------------------------------------------------------
//Br($num)
//Prints $num number of breaks (<br>)
//-----------------------------------------------------------------------------
function br($num = 1)
{
	while ($num > 0)
	{
		echo "<br>";
		$num--;
	}	
}

//-----------------------------------------------------------------------------
//BoldWord($string, $word)
//Searches $string for the specified $word and surrounds every
//instance of $word with bold (<b>) tags.
//-----------------------------------------------------------------------------
function boldWord($string, $word)
{
	if (!empty($string))
	{
		return str_replace($word, "<b>$word</b>", $string);
	}

	return false;
}

//-----------------------------------------------------------------------------
//Takes a text string and converts http://www.* and http://* and address@company.com and makes them into clickable HTML links. 
//
//url: http://sourceforge.net/snippet/detail.php?type=snippet&id=100004
//-----------------------------------------------------------------------------
function text_to_links ($data)
{
  if(empty($data)) {
    return $data;
  }

  $lines = explode("\n", $data);

  while (list ($key, $line) = each ($lines)) {

    $line = eregi_replace("([ \t]|^)www\.", " http://www.", $line);
    $line = eregi_replace("([ \t]|^)ftp\.", " ftp://ftp.", $line);
    $line = eregi_replace("(http://[^ )\r\n]+)", "<a href=\"\\1\" target=\"_blank\">\\1</a>", $line);
    $line = eregi_replace("(https://[^ )\r\n]+)", "<a href=\"\\1\" target=\"_blank\">\\1</a>", $line);
    $line = eregi_replace("(ftp://[^ )\r\n]+)", "<a href=\"\\1\" target=\"_blank\">\\1</a>", $line);
    $line = eregi_replace("([-a-z0-9_]+(\.[_a-z0-9-]+)*@([a-z0-9-]+(\.[a-z0-9-]+)+))", "<a href=\"mailto:\\1\">\\1</a>", $line);
    
    if (empty($newText))
      $newText = $line;
    else
      $newText .= "\n$line";
  }

  return $newText;
}

?>