<?
ob_start(); //throw everything in a buffer so the redirect works.
//////////////////////////////////////////////////////////////////////////////
//                                                                          //
// phpMail                            Version 1.0                           //
// Written by Jonathan Hohle          hohlej@rpc.msoe.edu                   //
// Created on 8.14.01                 Last Updated 8.14.01                  //
// http://www.phpwelt.de/archiv/arclink.php?arcid=1222&was=dl2              //
// http://people.msoe.edu/~hohlej/downloads/phpmail.zip 							 //
//////////////////////////////////////////////////////////////////////////////
//                                                                          //
// Required Form Fields                                                     //
//   recipient                                                              //
//     This field stores the email address of the email's recipient.  In    //
//     your HTML document, the value may look like this:                    //
//       <input type="hidden" name="recipient" value="user@server.com" />   //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////
//                                                                          //
// Special Form Fields                                                      //
//   message                                                                //
//     This field stores a plaintext email message, with no additional      //
//     formatting.                                                          //
//   subject                                                                //
//     This field stores the subject of the email message                   //
//   realname                                                               //
//     This field stores the name of the person sending the mail            //
//   replyto                                                                //
//     This field stores the email address person sending the mail          //
//   redirect                                                               //
//     This field stores the URL that will be redirected to once the script //
//     is completed.                                                        //
/*		NEW:
		title
		
		required                                                               
		
		missing_fields_redirect
	
*/
//////////////////////////////////////////////////////////////////////////////
//                                                                          //
// Variables                                                                //
//                                                                          //
//  $keeplog is a boolean that is determines whether a log is kept or not   //

  $keeplog = true;

//  $logfile stores the file location of the file used to store logging     //
//  information                                                             //

  $logfile = "D:\\Web-Projekte\\wein-shop\\log\\mail_form.log";

//  $referer allows forms to be located only on servers which are defined
//  in this field.

  $referer = "localhost";

//////////////////////////////////////////////////////////////////////////////

?>

<?
  if ($REQUEST_METHOD == "POST")
  {
	//check referer
	if (!strstr($HTTP_REFERER,$referer))  //if the refering server is not the one specified
	{
	  $errorlog[] = "Incorrect referer";  //create an error in the error log
	}
	
	$bOk_required = true;	//default
	
	//parse each value sent by the form
	while (list($key, $value) = each($HTTP_POST_VARS))
	{
		switch ($key)
		{
			case "recipient":  //if the value index is 'recipient'
			{
				$recipient = $value;  //store the recipient value
				break;
			}
			case "subject":  //if the value index is 'subject'
			{
				$subject = $value;  //store the subject value
				break;
			}
			case "replyto":  //if the value index is 'replyto'
			{
				$replyto = $value;  //store the replyto value
				break;
			}
			case "realname":  //if the value index is 'realname'
			{
				$realname = $value;  //store the realname value
				break;
			}
			case "message":  //if the value index is 'message'
			{
				$message = $value;  //store the message value
				break;
			}
			case "redirect":  //if the value index is 'message'
			{
				$redirect = $value;  //store the message value
				break;
			}
			case "title":  //if the value index is 'message'
			{
				$title = $value;  //store the message value
				break;
			}
			case "missing_fields_redirect":  //if the value index is 'message'
			{
				$missing_fields_redirect = $value;  //store the message value
				break;
			}
			case "required":
			{
				$required = $value;  //store the message value
				$required = split(";",$required);
				//check input
				for($i=0; $i<sizeof($required); $i++)
				{
					$sVar = $required[$i];
					echo $sVar . "<br>";
					
					if($HTTP_POST_VARS["$sVar"] == '') 
						$bOk_required = false;	//field is missing
				}
				
				break;
			}
			default:  //otherwise
			{
				$content .= "$key: $value\n";  //add it to the message
				break;
			}
		}
	}
	
	//Required fields
	if ($bOk_required == false)
	{
		header ("Location: $missing_fields_redirect"); // redirect browser
		exit;
	}
	
	
	if ($recipient == '')  //if there is no recipient
	{
	  $errorlog[] = "No recipient Specified";  //create an error in the error log
	}

	if ($keeplog)
	{

		if (is_writeable($logfile))
	  	{
	  		$time = localtime();  //get the time
			$file = date("m/d/y")." {$time[2]}:{$time[1]}:{$time[0]};$REMOTE_ADDR;$HTTP_REFERER;$recipient;$replyto;$message\n";
			$fp = fopen($logfile, 'a');  //open the file for writing
     		$fp = fwrite($fp, $file);  //write the log info to the file
			@fclose($fp);  //close the file
	  	}
	  	else
	  	{
	  		$errorlog[] = "Log file is not writeable";
	  	}
	}
	if (count($errorlog) == 0)  //if there are no errors
	{
	  if ($content != '')  //if there is some content
	  {
        $content  = "$title\n" . "-----------------------------------------\n" . $message . "\n\n" . $content;
        $content .= "\n-----------------------------------------\n\n";
	  }
	  else
	  {
	    $content = $message;
	  }

      //create header information for the email
      $headers = "From: $realname <$replyto>\n";
      $headers .= "X-Sender: <$replyto>\n";
      $headers .= "X-Mailer: PHP\n";
      $headers .= "X-Priority: 1\n";
      $headers .= "Return-Path: <$replyto>\n";
	  
	  //send the mail
	  mail($recipient, $subject, $content, $headers);

	  if ($redirect != '')
	  {
        header ("Location: $redirect"); // redirect browser
        exit;  // Make sure that code below does not get executed when we redirect.
	  }
	  else
	  {
		?>
			<html>
			<head>
			  <title>Formular</title>
			</head>
			<body>
			  <h1>Formularversandt!</h1>
			  Danke, die Nachricht wurde erfolgreich an <?=$recipient?> versendet.
			</body>
			</html>
		<?
	  }
	}
	else  //if there are errors
	{
	  echo "<html><body><h1>Error!</h1><ul>";  //print header info
	  for ($index = 0; $index < count($errorlog); ++$index)  //for each error
	  {
		echo "<li>$errorlog[$index]";  //print error info
	  }
	  echo "</ul></body>";  //print footer info
	}
  }
  else  //if REQUEST_METHOD does not equal post
  {      
	?>
		<html>
		<head>
		  <title>phpMail version 1.0</title>
		</head>
		<body>
		<center>
		  <table cellpadding="3" cellspacing="1" border="0" bgcolor="#000000" width="75%">  
			<tr>
			  <td bgcolor="#8888ff" align="center">
				 <font size="4">phpMail</font>
				 version 1.0
			  </td>
			</tr>
			<tr>
			</tr>
		  </table>
		</center>
		</body>
		</html>
	<?
  }
?>