<?

	//-----------------------------------------------------------------------------
	//function:	is_email
	//returns: 	true	->	valid E-Mail adress
	//				false -> no E-Mail adress
	//-----------------------------------------------------------------------------
	function is_email($sString)	
	{
		// check the email for validity
		$email = trim($sString);
		if (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,3}$", $email)) 
		{
		  return false;
		}
		else
		{
		return true;
		}
	}

	//-----------------------------------------------------------------------------
	//Entfernt alle nicht numerischen zeichen aus einem String
	//und liefert eine Ganzzahl
	//-----------------------------------------------------------------------------
	function strip_int($str)
	{
		$str=(string)$str;
		for($i=0; $i<strlen($str); $i++)
		{
			if(ord($str[$i])>=ord('0') && ord($str[$i])<=ord('9') or $str[$i] == '-')
				$output.=$str[$i];
		}
		return $output;
	}

	//-----------------------------------------------------------------------------
	//Entfernt alle nicht numerischen zeichen aus einem String
	//und liefert einen Float
	//-----------------------------------------------------------------------------
	function strip_float($str)
	{
		$str=(string)$str;
		for($i=0; $i<strlen($str); $i++) {
			if(ord($str[$i])>=ord('0') && ord($str[$i])<=ord('9') or $str[$i] == '-' or $str[$i] == '.')
				$output.=$str[$i];
		}
		return $output;
	}

	//-------------------------------------------------------------------------------------
	// rip out all but alphanumeric characters from $string (CaseAndWhiteSpaceInsensitive)
	function str_cawsi($string)
	{
		return ereg_replace("[^a-z,0-9]","",strtolower($string));
	}
	
	
	//-------------------------------------------------------------------------------------
	// Erzeugt einen Zufallsstring (z.b. fr Passwrter)
	/*
		$length:	Password Length:  (4 - 64 chars) 
		Include Letters:  (e.g. abcdef) 
		Include Mixed Case:  (e.g. AbcDEf) 
		Include Numbers:  (e.g. a9b8c7d) 
		Include Punctuation:  (e.g. a!b*c_d) 
	*/
	//-------------------------------------------------------------------------------------
	function str_random($length, $bLowerCase=true, $bUpperCase=false, $bNumbers=false, $bPunctuation=false ) 
	{

		$sLowerCase 	= "abcdefghijklmnopqrstuvwxyz";
		$sUpperCase 	= "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
		$sNumber			= "1234567890";
		$sPunctuation	= "!$%&/()=?`+~#'-_:@}*.<>\"";
		
		if($bLowerCase 	== true) $c .= $sLowerCase;
		if($bUpperCase 	== true) $c .= $sUpperCase;
		if($bNumbers 		== true) $c .= $sNumber;
		if($bPunctuation 	== true) $c .= $sPunctuation;
		
		$l	= strlen($c);

		for($i=0; $i<$length; $i++)
		{
			$pos = rand (0, $l-1);
			$s .= substr($c, $pos, 1);
		}
		return "$s";
	} 
	
	//-------------------------------------------------------------------------------------
	/** 
	 * Chops a string to the desired length chopping at a space.
	 * errors on the side of shorter length, kinda like word wrap
	 * but it cuts. This is useful for preview display purposes 
	 * used frequently when linking to the full description.
	 *
	 * @param   String to be shortened
	 * @param   desired maximum length
	 * @return  shortened string
	*/ 
	//-------------------------------------------------------------------------------------
	function mksubstr($str, $len) 
	{
		 if (strlen($str) < $len)
			  return $str;

		 $str = substr($str,0,$len);
		 if ($spc_pos = strrpos($str," "))
					$str = substr($str,0,$spc_pos);

		 return $str;
	}

?>