<?
	
	require_once ("config.php");
	require_once ("lib/template.class.php"); 
	require_once ("lib/session.class.php");
	require_once ("lib/jscript.lib.php");
	require_once ("lib/db_mysql.class.php");
	require_once ("lib/db_controls.lib.php");
	
	$sess = init_session() or show_error(7001, "Cannot init. session!", $HTTP_SERVER_VARS, true);
	
	// create template object
	$tpl = new Template(".");
	
	// declare template files
	$tpl->set_file(array(
		"menue" 				=> "tpl_menue.html",
		"menue_user" 		=> "tpl_menue_user.html",
		"menue_admin" 		=> "tpl_menue_admin.html",
		"menue_login" 		=> "tpl_menue_login.html",
		"menue_logoff" 	=> "tpl_menue_logoff.html",
	));
	
	// set language fields
	$aTpl = array("menue", "menue_user","menue_admin","menue_login", "menue_logoff");	// templates to parse
	while (list($kTpl,$vTpl) = each ($aTpl))
	{
		$arr_undef = $tpl->get_undefined($vTpl);
		while (list($k, $v) = each ($arr_undef))
		{	$tpl->set_var($k,$RES[$v]); }
	}
	
	// unset language fields
	if (isset($msg))
	{ $tpl->set_var("0007", $RES[$msg]);	}	// login failed or permission denied
	else
	{ $tpl->set_var("0007", ""); }
	
	//-------------------------------------------------------------------------
	// parse and print the template
	//-------------------------------------------------------------------------

	if($sess->name != "")
	{
		// user logged in
		$tpl->set_var("MENUE_SCRIPTS", frame_redirect("news.php", "mainFrame"));  // show startpage
		$tpl->parse("MENUE_USER", "menue_user");
		$tpl->parse("MENUE_LOGOFF", "menue_logoff");
		
		// check if user has permission
		if($sess->data["priv_sysadmin"] == 1)
		{

			if(!isset($user_group_id)) $user_group_id = 0;
			
			$sess->data["user_group_id"] 	= $user_group_id;	// change user_group
			$sess->update_data();									// save session data in db
			
			// get combobox with usergroups
			$sql 		= "SELECT * FROM user_group ORDER BY title;";
			$combo 	= db_combobox($sql, "user_group_id", "user_group_id", "title", $user_group_id, 0, -1, "", "onChange=document.frm.submit()");
			$tpl->set_var("COMBO_USERGROUP",$combo);
			
			$tpl->parse("MENUE_ADMIN", "menue_admin");
		}
		
	}
	else
	{
		// user has to be logged in
		
 		// show startpage
		$tpl->set_var("MENUE_SCRIPTS", frame_redirect("home.php", "mainFrame")); 
		$tpl->parse("MENUE_LOGIN", "menue_login");
		
	}
			
	$tpl->pparse("OUT", "menue");
	
?> 




