<?
	
	require_once ("config.php");
	require_once ("lib/db_mysql.class.php");
	require_once ("lib/template.class.php"); 
	require_once ("lib/session.class.php");
	require_once ("lib/jscript.lib.php");
	require_once ("lib/string.lib.php");
	require_once ("lib/mail_mime.php");
	require_once ("lib/mail_smtp.php");
	
	$sess = init_session() or show_error(7001, "Cannot init. session!", $HTTP_SERVER_VARS, true);
	if ($sess->name == "") show_error(8000, $RES["0085"], $HTTP_SERVER_VARS, true);	// permission denied
	
	// create template object
	$tpl = new Template(".");
	
	// declare template files
	$tpl->set_file(array(
		"content" 			=> "tpl_content.html",
		"newsletter" 		=> "tpl_newsletter.html",
		"message"			=> "tpl_message.html"
	));
	
	// set language fields
	$aTpl = array("newsletter");	// templates to parse
	while (list($kTpl,$vTpl) = each ($aTpl))
	{
		$arr_undef = $tpl->get_undefined($vTpl);
		while (list($k, $v) = each ($arr_undef))
		{	$tpl->set_var($k,$RES[$v]); }
	}
	
	$db = new Database();
	if (!$db->connect())		show_error($db->errno,  $db->error, $HTTP_SERVER_VARS, true); // database connection failed
	
	switch ($action)
	{
		case "send_newsletter":
		{
			
			// execute sql query
			$query = "SELECT * FROM user WHERE user_group_id = " . $sess->data["user_group_id"];
			# print $query; exit;
			
			if (!$db->query($query))	show_error($db->errno, $db->error, $HTTP_SERVER_VARS, false);
			
				$from = $sess->data["email"];
				if(!is_email($from)) $from = "unknown@" . $cfg["host.domain"];
				
				$count=0;
				$failed=0;
				
				set_time_limit(0);	// run until it's absolutely done
				
      		// get all emails adresses from db
				while($db->next_record())
				{
					if(is_email($db->field("email")) || $db->field("email") == "daniel@localhost")
					{
						
						$to = $db->field("email");
						$headers = "From: $from\r\nReply-To: $from";
						$config = "-f$from";
						
						@mail("$to", "$subject", "$msg", "$headers", "$config") or $failed++;
						$count++;
					}

				}
				
				$msgbox = str_replace("{COUNT}", $count, $RES["0123"]);
				$msgbox = str_replace("{FAILED}", $count-$failed, $msgbox);
				$tpl->set_var(array("SCRIPTS"	=> alert($msgbox)));
				
		}
		default:
		{

			// execute sql query
			$query = "SELECT * FROM user_group WHERE user_group_id = " . $sess->data["user_group_id"];
			# print $query; exit;
			
			if (!$db->query($query))	show_error($db->errno, $db->error, $HTTP_SERVER_VARS, false);
			$db->next_record();
			
			$from = $sess->data["email"];
			if(!is_email($from)) $from = "unknown@" . $cfg["host.domain"];
			
			$tpl->set_var(array(
				"MAIL_FROM"		=> $from,
				"USER_GROUP"	=> $db->field("title")
			));
			
			break;
		}
	}
	
	//-------------------------------------------------------------------------
	// parse and print the template
	//-------------------------------------------------------------------------

	$tpl->parse("CONTENT", "newsletter");
	$tpl->pparse("OUT", "content");
	
?> 




