<?
	
	require("config.php");
	require("lib/template.class.php"); 
	require("lib/db_mysql.class.php");
	require("lib/db_controls.lib.php");
	require("lib/string.lib.php");
	
	// create template object
	$tpl = new Template(".");
	
	// declare template files
	$tpl->set_file(array(
		"register" 			=> "tpl_register.html",
		"register_ok" 		=> "tpl_register_ok.html",
		"register_error" 	=> "tpl_register_error.html"
	));

	// set language fields
	$aTpl = array("register", "register_ok", "register_error");	// templates to parse
	while (list($kTpl,$vTpl) = each ($aTpl))
	{
		$arr_undef = $tpl->get_undefined($vTpl);
		while (list($k, $v) = each ($arr_undef))
		{	$tpl->set_var($k,$RES[$v]); }
	}
	
	//-------------------------------------------------------------------------
	switch($action)
	{
		case "register":	// try to register new user
		{
			//-------------------------------------------------------------------------
			// check input
			//-------------------------------------------------------------------------			
			$IMG_ARROW	= "<img src='img/arrow_red.gif' width='11' height='11'>";
			$sError = "";
				
			// username
			$username = trim($username);
			if(trim($username) == "") $sError .= $IMG_ARROW." ".$RES["0052"]."<br><br>";				
			
			// username already exist ?
			$db = new Database();
			if (!$db->connect()) show_error($db->errno, $db->error, $HTTP_SERVER_VARS, true);
			if (!$db->query("SELECT username FROM user WHERE username = '$username'"))	show_error($db->errno, $db->error, $HTTP_SERVER_VARS, true);
			if ($db->num_rows() > 0)
				$sError .= $IMG_ARROW." ".$RES["0053"]."<br><br>";	// yes
			
			// password			
			$password 	= trim($password);
			$password_2 = trim($password_2);
			if(($password != $password_2) || (strlen($password) < 5)) 
				$sError .= $IMG_ARROW." ".$RES["0056"]."<br><br>";		
			
			// email
			$email	= trim($email);
			if(is_email($email) == false)
				$sError .= $IMG_ARROW." ".$RES["0057"]."<br><br>";	
					
			// group		
			if($_POST["user_group_id"] == "0")
				$sError .= $IMG_ARROW." ".$RES["0058"]."<br><br>";	
			
			// are there any errors ?
			if($sError == "")
			{
				//all fields are ok, so i can save the informations in the databse
				
				// generrate query
				$query = sprintf("INSERT INTO user ( user_group_id, username, password, firstname, lastname, street,
										  zip, city, telephone, fax, mobile, email, url, comment) 
							VALUES ( '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s','%s', '%s', '%s', '%s', '%s', '%s')",
								$_POST["user_group_id"], $username, $password, $firstname, $lastname, $street,
								$zip, $city, $telephone, $fax, $mobile, $email, $url, $comment);
				# echo $query;
				
				if (!$db->query($query))		show_error($db->errno, $db->error, $HTTP_SERVER_VARS, true);			
				if ($db->affected_rows() < 1)	show_error(7060,$RES["0064"] , $HTTP_SERVER_VARS, true);

				// generate email text
				$to		= $cfg["email.admin"];
				$subject = $RES["0062"] . " [" . $db->insert_id() ."]";
				$message = str_replace ("{DATE}", date("d.m.Y"), $RES["0063"]);
				$message = str_replace ("{USER_ID}", $db->insert_id(), $message);
				
				// send mail to admin
				@mail($to, $subject, $message) or show_error(7050, "Sendmail error in register.php", $HTTP_SERVER_VARS, false, false);

				// print template 
				$tpl->pparse("OUT", "register_ok");
				exit;

			}
			else
			{
				// print error messages
				$tpl->set_var("MSG_ERROR", $sError);
				$tpl->pparse("OUT", "register_error");
				exit;
			}
			
			break;
		}
		default:
		{
			
			//-------------------------------------------------------------------------
			// get combobox with usergroups
			//-------------------------------------------------------------------------
			$sql 		= "SELECT * FROM user_group ORDER BY title;";
			$combo 	= db_combobox($sql, "user_group_id", "user_group_id", "title", 0, 1);
			$tpl->set_var("COMBO_USERGROUP",$combo);
			
			
			//-------------------------------------------------------------------------
			// parse and print the template
			//-------------------------------------------------------------------------
			$tpl->pparse("OUT", "register");
		}
	}

?> 

