<?

//-------------------------------------------------------------------------------------
 function mysql_unescape_string($s) 
    {
        $sl=strlen($s); 
        for ($a=0;$a<$sl;$a++) 
        { 
            $c=substr($s,$a,1); 
            if ($c=="\\") 
            { 
                switch(substr($s,$a+1,1)) 
                { 
                    case "0": 
                        $c="\0"; 
                    break; 
                    case "n": 
                        $c="\n"; 
                        break; 
                    case "t": 
                        $c="\t"; 
                        break; 
                         
                    case "r": 
                        $c="\r"; 
                    break; 
                    case "b": 
                        $c="\b"; 
                        break; 
                    case "'": 
                        $c="'"; 
                        break; 
                    case "\"": 
                        $c="\""; 
                        break; 
                    case "\\": 
                        $c="\\"; 
                        break; 
                    case "%": 
                        $c="\%"; 
                        break; 
                    case "_": 
                        $c="_"; 
                        break; 
                    default: 
                        echo("unhandled exception!"); 
                } 
                // advance the counter because we are pealing off the char after the scanned \ 
                $a++; 
            } 
            $s2.=$c; 
        } 
        return $s2; 
    }

//-------------------------------------------------------------------------------------
function mysql_escape_string1($s)
{
	$sl=strlen($s); 
	for ($a=0;$a<$sl;$a++)
	{
		$c=substr($s,$a,1); 
		switch(ord($c))
		{
			case 0: 
				$c = "\\0"; 
			break; 
			case 10: 
				$c = "\\n";         
			break; 
			case 9: 
				$c = "\\t"; 
			break; 
			case 13: 
				$c = "\\r";     
			break; 
			case 8: 
				$c = "\\b"; 
			break; 
			case 39: 
				$c = "\\'"; 
			break; 
			case 34: 
				$c = "\\\""; 
			break; 
			case 92: 
				$c = "\\\\"; 
			break; 
			case 37: 
				$c = "\\%"; 
			break; 
			case 95: 
				$c = "\\_"; 
			break; 
		} 
		$s2.=$c; 
	} 
	return $s2; 
}

//-------------------------------------------------------------------------------------
//Date and Time
//-------------------------------------------------------------------------------------

// date_mysql2german - wandelt ein MySQL-DATE (ISO-Date)
//                     in ein traditionelles deutsches Datum um.
function date_mysql2german($datum)
{
  list($jahr, $monat, $tag) = explode("-", $datum);
  return sprintf("%02d.%02d.%04d", $tag, $monat, $jahr);
}

//------------------------------------------------------------------
// date_german2mysql - wandelt ein traditionelles deutsches Datum
//                     nach MySQL (ISO-Date).
function date_german2mysql($datum)
{
  list($tag, $monat, $jahr) = explode(".", $datum);
  return sprintf("%04d-%02d-%02d", $jahr, $monat, $tag);
}

//------------------------------------------------------------------
// timestamp_mysql2german - wandelt ein MySQL-Timestamp
//                          in ein traditionelles deutsches Datum um.
function timestamp_mysql2german($t)
{
  return sprintf("%02d.%02d.%04d",
    substr($t, 6, 2),
    substr($t, 4, 2),
    substr($t, 0, 4));
}

//------------------------------------------------------------------
//	Ermittelt das Alter anhand des Geburtsdatums
//	Format: String "YYYY-MM-TT"
//------------------------------------------------------------------
function sqldate_age($birthday)
{
	
	ereg("([0-9]{4})-([0-9]{2})-([0-9]{2})", $birthday, $br); 
	ereg("([0-9]{4})-([0-9]{2})-([0-9]{2})", date("Y-m-d", time()), $today); 
	for($i = 1; $i < 4; $i++)
	{ 
		settype($br[$i], "integer"); 
		settype($today[$i], "integer"); 
	} 
	$age = $today[1] - $br[1] - 1; 
	
	if( ($today[2] > $br[2]) || ($today[2] == $br[2] && $today[3] >= $br[3]) ) $age = $age + 1; 

	return $age;
}

//------------------------------------------------------------------
//Process Submitted Date for Database use
//
//Process date in varying formats of mm-dd-yyyy or mm/dd/yyyy
//1 or 2 digit month or day and two or four digit year,
//and returns yyyy-mm-dd  (four-digit year, two digit month,day)
//
//	@param   date string
//	@return  formatted text or false on bad date
//------------------------------------------------------------------
 function sql_procDate($str) 
 {
	  /*== check for proper delimiter "-" or "/" ==*/
	  if (strpos($str, "-")) 
			$token = "-";
	  elseif (strpos($str, "/"))
			$token = "/";
	  else { return false; }

	  $m = strtok($str,$token);
	  $d = strtok($token);
	  $y = strtok($token);

	  if (strlen($m) == 1) { $m = "0".$m; }
	  if (strlen($d) == 1) { $d = "0".$d; }
	  if (strlen($y) == 2) 
	  {   
			/*== do some funky stuff for y2k ==*/
			if ($y > 80) { $y = "19".$y; }
			else { $y = "20".$y; }
	  }

	  return "$y-$m-$d";
 }
?>
