<?
	
	require("config.php");
	require("lib/template.class.php"); 
	require("lib/db_mysql.class.php");
	require("lib/string.lib.php");
	
	// create template object
	$tpl = new Template(".");
	
	// declare template files
	$tpl->set_file(array(
		"password" 			=> "tpl_pw_lost.html",
		"message" 			=> "tpl_message.html"
	));

	// set language fields
	$aTpl = array("password", "message");	// templates to parse
	while (list($kTpl,$vTpl) = each ($aTpl))
	{
		$arr_undef = $tpl->get_undefined($vTpl);
		while (list($k, $v) = each ($arr_undef))
		{	$tpl->set_var($k,$RES[$v]); }
	}

	// set button probertys
	$tpl->set_var(array(
		"BTN1_CLICK" 		=> $RES["0070"],	//history.back()
		"MSG_BUTTON_1" 	=> $RES["0055"]	//back
	));
			
	//-------------------------------------------------------------------------
	switch($action)
	{
		case "forget":	// try to register new user
		{
			
			//-------------------------------------------------------------------------
			// check input
			//-------------------------------------------------------------------------
			$IMG_ARROW	= "<img src='img/arrow_red.gif' width='11' height='11'>";
			$sError = "";
				
			// username
			$username = trim($username);
			if(trim($username) == "") $sError .= $IMG_ARROW." ".$RES["0052"]."<br><br>";				
			
			// check username ?
			$db = new Database();
			if (!$db->connect()) show_error($db->errno, $db->error, $HTTP_SERVER_VARS, true);
			if (!$db->query("SELECT user_id, username, email, priv_sysadmin FROM user WHERE username = '$username'"))	show_error($db->errno, $db->error, $HTTP_SERVER_VARS, true);
			if ($db->num_rows() < 1)
				$sError .= $IMG_ARROW." ".$RES["0069"]."<br><br>";	// no
			
			$db->next_record();
			$user_id		= $db->field("user_id");
			$username 	= $db->field("username");
			$email 		= trim($db->field("email"));
						
			if($db->field("priv_sysadmin") == 1)
				$sError .= $IMG_ARROW." ".$RES["0080"]."<br><br>";	
			
			if($email == "")
				$sError .= $IMG_ARROW." ".$RES["0082"]."<br><br>";	
				
			// are there any errors ?
			if($sError == "")
			{
				// generate a new random password
				$password = str_random(5,true,true);
				
				// generate query        
				$query = sprintf("UPDATE user SET password='%s' WHERE user_id=%s", $password,$user_id);
				
				if (!$db->query($query))		show_error($db->errno, $db->error, $HTTP_SERVER_VARS, true);			
				if ($db->affected_rows() < 1)	show_error(7061,$RES["0064"] , $HTTP_SERVER_VARS, true);

				// generate email text
				$subject = $RES["0080"];
				$message = str_replace ("{USERNAME}", $username, $RES["0084"]);
				$message = str_replace ("{PASSWORD}", $password, $message);

				// send mail to admin
				@mail($email, $subject, $message) or show_error(7051, "Sendmail error in password.php", $HTTP_SERVER_VARS, false, false);
				
				$tpl->set_var(array(
					"MSG_TITLE" 	=> $RES["0065"],
					"MSG_TEXT" 		=>	$RES["0081"],
					"BTN1_CLICK" 	=> $RES["0071"],	//close()
					"MSG_BUTTON_1" => $RES["0061"]	//close window
				));
				
				// print template 
				$tpl->pparse("OUT", "message");
				exit;
				
			}
			else
			{
				// print error messages
				$tpl->set_var(array(
					"MSG_TITLE" => $RES["0065"],
					"MSG_TEXT" =>	$sError
				));
					
				$tpl->pparse("OUT", "message");
				exit;
			}
			
			break;
		}
		default:
		{
			//-------------------------------------------------------------------------
			// parse and print the template
			//-------------------------------------------------------------------------
			$tpl->pparse("OUT", "password");
		}
	}

?> 

